/**
 * Has the IR Callback implementations that will be used. Specifically
 * There is the standard IR callback routine and the standard IAS
 * callback routine.
 */
#include <irlib.h>
#include "IrCom.h"
#include "AppStdIO.h"
#include "App.h"

BytePtr rxBuff;
UInt16 rxLen;

void IR_Callback(IrConnect* con, IrCallBackParms* params)
{
	// For the call back routine, there are a few specific
	// incidences that we want to handle.
	switch (params->event) {
		
		// Indicates that data has been received. Do something
		// with it. Data is located in rxLen and rxBuff of params
		case LEVENT_DATA_IND:
			rxLen = params->rxLen;
			rxBuff = params->rxBuff;
			
			if (rxBuff[rxLen - 1] != '/0')
			{
				CharPtr stringP;
				UInt16 i;
				Handle stringH = (Handle)MemHandleNew(rxLen + 1);
				
				if (stringH)
				{
					stringP = (CharPtr)MemHandleLock(stringH);
					
					for (i = 0; i < rxLen; i++)
						stringP[i] = rxBuff[i];
					
					stringP[rxLen] = '\0';
					DISPLAY_RCV_MSG(stringP);
					MemPtrUnlock(stringP);
				}
			}
			else
				DISPLAY_RCV_MSG((CharPtr)rxBuff);
			
			break;
		
		// Someone wants to make a connection to me;
		// We will accept it.	
		case LEVENT_LM_CON_IND:
			debug_msg("Receiving Connection");
			IR_Bind(true);
				
			if (IR_ReceiveConnection() == IR_STATUS_SUCCESS)
				SetConnected(true);

			break;
		
	}
}