/**
 * Author:  Kevin Chan
 * Company: University of Washington
 *
 * File: IrCom.h
 *
 */
#include <irlib.h>

#ifndef _IRCOM_H_
#define _IRCOM_H_

/*********************************************************/
// Global variables that you can access.
// They are light wrappers around the underlying protocol.

// Invalid unless set by you or by a call to ir_open;
extern UInt16 refNum;

// Global IrConnection structure.
extern IrConnect con;

// Holds the current device address. You will need to set this
// to a valid address.
extern IrDeviceAddr device_addr;


// Attribute names, depending on the service type that will hold the
// local port number that will be used. Use the hardcoded, attr_value
// when you register your service with the IAS (but remember to replace
// the 4th element to the correct LSAP);
extern const char lmp_lsap_attr_name[];
extern const char tp_lsap_attr_name[];

extern const char attr_name[];

// Translates the ir messages to 
extern char* ir_status_messages[];

/*********************************************************/
// Exported functions

IrStatus IR_Bind( Boolean connectionless );
IrStatus IR_Connect();
IrStatus IR_SendPacket(IrPacket* packet);
void IR_Callback(IrConnect* con, IrCallBackParms* params);
void IR_CloseCom();


#endif // _IRCOM_H_